apply plugin: 'com.android.library'

android {
    compileSdkVersion 28
    // a default can be used, but it is good practice to explicitly select build tools
    buildToolsVersion '28.0.3'

    defaultConfig {
        // applicationId 'xyz.nc.android.wc'
        minSdkVersion 23
        targetSdkVersion 28
        versionCode 1
        versionName '1.0'

        externalNativeBuild {
            cmake {
                arguments '-DANDROID_PLATFORM=android-23',
                          '-DANDROID_TOOLCHAIN=clang'
                // Sets optional flags for the C compiler.
                cFlags \
                    '-D_POSIX_THREADS', '-DNDEBUG',
                    '-DPERSIST_SESSION_CACHE', '-DPERSIST_CERT_CACHE', '-DATOMIC_USER',
                    '-DHAVE_PK_CALLBACKS', '-DNO_DSA',
                    '-DNO_MD4', '-DNO_HC128', '-DNO_RABBIT',
                    '-DHAVE_OCSP', '-DHAVE_CRL', '-DWOLFSSL_JNI', '-DHAVE_DH',
                    '-Wall'
                // explicitly build libs
                //targets 'wolfssl'
            }
           
        }
    }

    externalNativeBuild {
        cmake {
            path 'CMakeLists.txt'
        }
    }
}
